<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Object Configuration</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Object Configuration<br/>
<small>
[<a class="el" href="group__group__vx__framework__config.html">TIOVX Configuration Parameters</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#gad21395292e711903b30d20a0ebfba881">TIVX_META_FORMAT_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(32u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number meta format objects supported.  <a href="#gad21395292e711903b30d20a0ebfba881"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#gadbbf14b9b8f29677dcf0cdd501e40d88">TIVX_CONTEXT_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(1u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number context objects supported.  <a href="#gadbbf14b9b8f29677dcf0cdd501e40d88"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#gaefecd88b6c4917eda1e8a40b08955912">TIVX_GRAPH_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(8u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number graph objects supported.  <a href="#gaefecd88b6c4917eda1e8a40b08955912"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#gacafdc8b7549448d5ccd0c780c6680f5b">TIVX_NODE_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(32u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number node objects supported.  <a href="#gacafdc8b7549448d5ccd0c780c6680f5b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#gab6578bf00139abafd71b1efe04bfe904">TIVX_KERNEL_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(64u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number kernel objects supported.  <a href="#gab6578bf00139abafd71b1efe04bfe904"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#ga732e4fea12fd457f6ad3cdee542c2a11">TIVX_ARRAY_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number array objects supported.  <a href="#ga732e4fea12fd457f6ad3cdee542c2a11"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#gae2b7782852a2e83e506b3d995dee7a67">TIVX_CONVOLUTION_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number convolution objects supported.  <a href="#gae2b7782852a2e83e506b3d995dee7a67"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#gaa203c9efa0d3d12a6ebe2876533bde30">TIVX_DELAY_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number delay objects supported.  <a href="#gaa203c9efa0d3d12a6ebe2876533bde30"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#ga02ea4b092003272d24cdc3ac81ab1d74">TIVX_DISTRIBUTION_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number distribution objects supported.  <a href="#ga02ea4b092003272d24cdc3ac81ab1d74"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#ga0e7d11cb94d9bd8cd7b9c53317b5e6ff">TIVX_IMAGE_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(384u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number image objects supported.  <a href="#ga0e7d11cb94d9bd8cd7b9c53317b5e6ff"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#ga5da5a4c3678b7693c7b0f7e45eb649be">TIVX_LUT_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number lut objects supported.  <a href="#ga5da5a4c3678b7693c7b0f7e45eb649be"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#ga99cf2af519d45421e148d69f98ea5708">TIVX_MATRIX_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number matrix objects supported.  <a href="#ga99cf2af519d45421e148d69f98ea5708"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#gaaf05021d4ce29266be1968c41433f57f">TIVX_PYRAMID_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number pyramid objects supported.  <a href="#gaaf05021d4ce29266be1968c41433f57f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#gada37f62ca1c0f1550e9480863eeefb7e">TIVX_REMAP_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number remap objects supported.  <a href="#gada37f62ca1c0f1550e9480863eeefb7e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#ga9e110e9e54f454873a220d4d8dff20f2">TIVX_SCALAR_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number scalar objects supported.  <a href="#ga9e110e9e54f454873a220d4d8dff20f2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#ga8f194fb4275f05c241b790f441bd0eb5">TIVX_THRESHOLD_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number threshold objects supported.  <a href="#ga8f194fb4275f05c241b790f441bd0eb5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#gad21f56b7fadec585969ec23c4c3896be">TIVX_ERROR_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(30u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number error objects supported.  <a href="#gad21f56b7fadec585969ec23c4c3896be"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#ga4571f23aebfffaf044dff626db230c56">TIVX_OBJ_ARRAY_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number object arrays supported.  <a href="#ga4571f23aebfffaf044dff626db230c56"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#ga8ba61e21b0aba3731813712668e5d6be">TIVX_PARAMETER_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number parameter objects supported.  <a href="#ga8ba61e21b0aba3731813712668e5d6be"></a><br/></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="gad21395292e711903b30d20a0ebfba881"></a><!-- doxytag: member="tivx_objects.h::TIVX_META_FORMAT_MAX_OBJECTS" ref="gad21395292e711903b30d20a0ebfba881" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_META_FORMAT_MAX_OBJECTS&nbsp;&nbsp;&nbsp;(32u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number meta format objects supported. </p>

</div>
</div>
<a class="anchor" id="gadbbf14b9b8f29677dcf0cdd501e40d88"></a><!-- doxytag: member="tivx_objects.h::TIVX_CONTEXT_MAX_OBJECTS" ref="gadbbf14b9b8f29677dcf0cdd501e40d88" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_CONTEXT_MAX_OBJECTS&nbsp;&nbsp;&nbsp;(1u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number context objects supported. </p>

</div>
</div>
<a class="anchor" id="gaefecd88b6c4917eda1e8a40b08955912"></a><!-- doxytag: member="tivx_objects.h::TIVX_GRAPH_MAX_OBJECTS" ref="gaefecd88b6c4917eda1e8a40b08955912" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_GRAPH_MAX_OBJECTS&nbsp;&nbsp;&nbsp;(8u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number graph objects supported. </p>

</div>
</div>
<a class="anchor" id="gacafdc8b7549448d5ccd0c780c6680f5b"></a><!-- doxytag: member="tivx_objects.h::TIVX_NODE_MAX_OBJECTS" ref="gacafdc8b7549448d5ccd0c780c6680f5b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_NODE_MAX_OBJECTS&nbsp;&nbsp;&nbsp;(32u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number node objects supported. </p>

</div>
</div>
<a class="anchor" id="gab6578bf00139abafd71b1efe04bfe904"></a><!-- doxytag: member="tivx_objects.h::TIVX_KERNEL_MAX_OBJECTS" ref="gab6578bf00139abafd71b1efe04bfe904" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_KERNEL_MAX_OBJECTS&nbsp;&nbsp;&nbsp;(64u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number kernel objects supported. </p>

</div>
</div>
<a class="anchor" id="ga732e4fea12fd457f6ad3cdee542c2a11"></a><!-- doxytag: member="tivx_objects.h::TIVX_ARRAY_MAX_OBJECTS" ref="ga732e4fea12fd457f6ad3cdee542c2a11" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_ARRAY_MAX_OBJECTS&nbsp;&nbsp;&nbsp;(48u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number array objects supported. </p>

</div>
</div>
<a class="anchor" id="gae2b7782852a2e83e506b3d995dee7a67"></a><!-- doxytag: member="tivx_objects.h::TIVX_CONVOLUTION_MAX_OBJECTS" ref="gae2b7782852a2e83e506b3d995dee7a67" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_CONVOLUTION_MAX_OBJECTS&nbsp;&nbsp;&nbsp;(48u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number convolution objects supported. </p>

</div>
</div>
<a class="anchor" id="gaa203c9efa0d3d12a6ebe2876533bde30"></a><!-- doxytag: member="tivx_objects.h::TIVX_DELAY_MAX_OBJECTS" ref="gaa203c9efa0d3d12a6ebe2876533bde30" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_DELAY_MAX_OBJECTS&nbsp;&nbsp;&nbsp;(48u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number delay objects supported. </p>

</div>
</div>
<a class="anchor" id="ga02ea4b092003272d24cdc3ac81ab1d74"></a><!-- doxytag: member="tivx_objects.h::TIVX_DISTRIBUTION_MAX_OBJECTS" ref="ga02ea4b092003272d24cdc3ac81ab1d74" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_DISTRIBUTION_MAX_OBJECTS&nbsp;&nbsp;&nbsp;(48u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number distribution objects supported. </p>

</div>
</div>
<a class="anchor" id="ga0e7d11cb94d9bd8cd7b9c53317b5e6ff"></a><!-- doxytag: member="tivx_objects.h::TIVX_IMAGE_MAX_OBJECTS" ref="ga0e7d11cb94d9bd8cd7b9c53317b5e6ff" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_IMAGE_MAX_OBJECTS&nbsp;&nbsp;&nbsp;(384u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number image objects supported. </p>

</div>
</div>
<a class="anchor" id="ga5da5a4c3678b7693c7b0f7e45eb649be"></a><!-- doxytag: member="tivx_objects.h::TIVX_LUT_MAX_OBJECTS" ref="ga5da5a4c3678b7693c7b0f7e45eb649be" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_LUT_MAX_OBJECTS&nbsp;&nbsp;&nbsp;(48u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number lut objects supported. </p>

</div>
</div>
<a class="anchor" id="ga99cf2af519d45421e148d69f98ea5708"></a><!-- doxytag: member="tivx_objects.h::TIVX_MATRIX_MAX_OBJECTS" ref="ga99cf2af519d45421e148d69f98ea5708" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_MATRIX_MAX_OBJECTS&nbsp;&nbsp;&nbsp;(48u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number matrix objects supported. </p>

</div>
</div>
<a class="anchor" id="gaaf05021d4ce29266be1968c41433f57f"></a><!-- doxytag: member="tivx_objects.h::TIVX_PYRAMID_MAX_OBJECTS" ref="gaaf05021d4ce29266be1968c41433f57f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_PYRAMID_MAX_OBJECTS&nbsp;&nbsp;&nbsp;(48u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number pyramid objects supported. </p>

</div>
</div>
<a class="anchor" id="gada37f62ca1c0f1550e9480863eeefb7e"></a><!-- doxytag: member="tivx_objects.h::TIVX_REMAP_MAX_OBJECTS" ref="gada37f62ca1c0f1550e9480863eeefb7e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_REMAP_MAX_OBJECTS&nbsp;&nbsp;&nbsp;(48u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number remap objects supported. </p>

</div>
</div>
<a class="anchor" id="ga9e110e9e54f454873a220d4d8dff20f2"></a><!-- doxytag: member="tivx_objects.h::TIVX_SCALAR_MAX_OBJECTS" ref="ga9e110e9e54f454873a220d4d8dff20f2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_SCALAR_MAX_OBJECTS&nbsp;&nbsp;&nbsp;(48u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number scalar objects supported. </p>

</div>
</div>
<a class="anchor" id="ga8f194fb4275f05c241b790f441bd0eb5"></a><!-- doxytag: member="tivx_objects.h::TIVX_THRESHOLD_MAX_OBJECTS" ref="ga8f194fb4275f05c241b790f441bd0eb5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_THRESHOLD_MAX_OBJECTS&nbsp;&nbsp;&nbsp;(48u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number threshold objects supported. </p>

</div>
</div>
<a class="anchor" id="gad21f56b7fadec585969ec23c4c3896be"></a><!-- doxytag: member="tivx_objects.h::TIVX_ERROR_MAX_OBJECTS" ref="gad21f56b7fadec585969ec23c4c3896be" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_ERROR_MAX_OBJECTS&nbsp;&nbsp;&nbsp;(30u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number error objects supported. </p>

</div>
</div>
<a class="anchor" id="ga4571f23aebfffaf044dff626db230c56"></a><!-- doxytag: member="tivx_objects.h::TIVX_OBJ_ARRAY_MAX_OBJECTS" ref="ga4571f23aebfffaf044dff626db230c56" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_OBJ_ARRAY_MAX_OBJECTS&nbsp;&nbsp;&nbsp;(48u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number object arrays supported. </p>

</div>
</div>
<a class="anchor" id="ga8ba61e21b0aba3731813712668e5d6be"></a><!-- doxytag: member="tivx_objects.h::TIVX_PARAMETER_MAX_OBJECTS" ref="ga8ba61e21b0aba3731813712668e5d6be" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_PARAMETER_MAX_OBJECTS&nbsp;&nbsp;&nbsp;(48u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max number parameter objects supported. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
